[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| PermuteCluster< Iter, DT > Class Template Reference |

`#include <vigra/random_forest/rf_algorithm.hxx>`

List of all members.

## Detailed Description

### template<class Iter, class DT>
class vigra::rf::algorithms::PermuteCluster< Iter, DT >

Perform Permutation importance on HClustering clusters (See visit_after_tree() method of visitors::VariableImportance to see the basic idea. (Just that we apply the permutation not only to variables but also to clusters))

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_algorithm.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)